Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class FacesSecurityEvents

    java.lang.Object
      org.jboss.seam.core.AbstractMutable
          org.jboss.seam.faces.Selector
              org.jboss.seam.security.FacesSecurityEvents

All Implemented Interfaces:
  Serializable, Mutable

    @Name(value="org.jboss.seam.security.facesSecurityEvents")
    @Scope(value=APPLICATION)
    @Install(precedence=0,
             classDependencies="javax.faces.context.FacesContext")
    @BypassInterceptors
    @Startup
    public class FacesSecurityEvents

extends Selector

Produces FacesMessages for certain security events, and decouples the Identity component from JSF - and also handles cookie functionality.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`FacesSecurityEvents()`

Method Summary
`void` | `addLoginFailedMessage(LoginException ex)`
`void` | `addLoginSuccessfulMessage()`
`void` | `credentialsUpdated()`
`String` | `getCookieName()` Override to define the cookie name
`String` | `getLoginFailedMessage()`
`String` | `getLoginFailedMessageKey()`
`javax.faces.application.FacesMessage.Severity` | `getLoginFailedMessageSeverity()`
`String` | `getLoginSuccessfulMessage()`
`String` | `getLoginSuccessfulMessageKey()`
`javax.faces.application.FacesMessage.Severity` | `getLoginSuccessfulMessageSeverity()`
`void` | `initCredentialsFromCookie(Identity identity)`
`void` | `postAuthenticate(Identity identity)`
`void` | `postRememberMe(Identity identity)`

Methods inherited from class org.jboss.seam.faces.Selector
`clearCookieValue, getCookie, getCookieMaxAge, getCookiePath, getCookieValue, getCookieValueIfEnabled, isCookieEnabled, setCookieEnabled, setCookieMaxAge, setCookiePath, setCookieValueIfEnabled`

Methods inherited from class org.jboss.seam.core.AbstractMutable
`clearDirty, setDirty, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesSecurityEvents

    public FacesSecurityEvents()

Method Detail

### getCookieName

    public String getCookieName()

  Description copied from class: `Selector`
  Override to define the cookie name

  Specified by:
    `getCookieName` in class `Selector`

### initCredentialsFromCookie

    @Observer(value="org.jboss.seam.postCreate.org.jboss.seam.security.identity")
    public void initCredentialsFromCookie(Identity identity)

### credentialsUpdated

    @Observer(value="org.jboss.seam.security.credentialsUpdated")
    public void credentialsUpdated()

### postAuthenticate

    @Observer(value="org.jboss.seam.security.postAuthenticate")
    public void postAuthenticate(Identity identity)

### postRememberMe

    @Observer(value="org.jboss.seam.security.rememberMe")
    public void postRememberMe(Identity identity)

### addLoginFailedMessage

    @Observer(value="org.jboss.seam.security.loginFailed")
    public void addLoginFailedMessage(LoginException ex)

### getLoginFailedMessage

    public String getLoginFailedMessage()

### getLoginFailedMessageSeverity

    public javax.faces.application.FacesMessage.Severity getLoginFailedMessageSeverity()

### getLoginFailedMessageKey

    public String getLoginFailedMessageKey()

### addLoginSuccessfulMessage

    @Observer(value="org.jboss.seam.security.loginSuccessful")
    public void addLoginSuccessfulMessage()

### getLoginSuccessfulMessageSeverity

    public javax.faces.application.FacesMessage.Severity getLoginSuccessfulMessageSeverity()

### getLoginSuccessfulMessage

    public String getLoginSuccessfulMessage()

### getLoginSuccessfulMessageKey

    public String getLoginSuccessfulMessageKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD